SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Macros | Functions | Variables
RakPeer.cpp File Reference
`#include "slikenet/defines.h"`
`#include "slikenet/peer.h"`
`#include "slikenet/types.h"`
`#include <unistd.h>`
`#include <time.h>`
`#include <ctype.h>`
`#include <string.h>`
`#include "slikenet/GetTime.h"`
`#include "slikenet/MessageIdentifiers.h"`
`#include "slikenet/DS_HuffmanEncodingTree.h"`
`#include "slikenet/Rand.h"`
`#include "slikenet/PluginInterface2.h"`
`#include "slikenet/StringCompressor.h"`
`#include "slikenet/StringTable.h"`
`#include "slikenet/NetworkIDObject.h"`
`#include "slikenet/DR_SHA1.h"`
`#include "slikenet/sleep.h"`
`#include "slikenet/assert.h"`
`#include "slikenet/version.h"`
`#include "slikenet/NetworkIDManager.h"`
`#include "slikenet/gettimeofday.h"`
`#include "slikenet/SignaledEvent.h"`
`#include "slikenet/SuperFastHash.h"`
`#include "slikenet/alloca.h"`
`#include "slikenet/WSAStartupSingleton.h"`
`#include "slikenet/linux_adapter.h"`
`#include "slikenet/osx_adapter.h"`
`#include <stdlib.h>`

Go to the source code of this file.

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | CAT_NEUTER_EXPORT /* Neuter dllimport for libcat */
#define | CAT_AUDIT_PRINTF(...)
#define | REMOTE_SYSTEM_LOOKUP_HASH_MULTIPLE 8

## Functions

| SLNet::RAK_THREAD_DECLARATION (UpdateNetworkLoop)
| SLNet::RAK_THREAD_DECLARATION (RecvFromLoop)
| SLNet::RAK_THREAD_DECLARATION (UDTConnect)
bool | SLNet::ProcessOfflineNetworkPacket (SystemAddress systemAddress, const char *data, const int length, RakPeer *rakPeer, RakNetSocket2 *rakNetSocket, bool *isOfflineMessage, SLNet::TimeUS timeRead)
void | SLNet::ProcessNetworkPacket (SystemAddress systemAddress, const char *data, const int length, RakPeer *rakPeer, SLNet::TimeUS timeRead, BitStream &updateBitStream)
void | SLNet::ProcessNetworkPacket (SystemAddress systemAddress, const char *data, const int length, RakPeer *rakPeer, RakNetSocket2 *rakNetSocket, SLNet::TimeUS timeRead, BitStream &updateBitStream)
| RAK_THREAD_DECLARATION (SLNet::UpdateNetworkLoop)

## Variables

static const int | NUM_MTU_SIZES =3
static const int | mtuSizes [NUM_MTU_SIZES] ={MAXIMUM_MTU_SIZE, 1200, 576}
static RakNetRandom | rnr
static const unsigned int | MAX_OFFLINE_DATA_LENGTH =400
static const unsigned char | OFFLINE_MESSAGE_DATA_ID [16] ={0x00,0xFF,0xFF,0x00,0xFE,0xFE,0xFE,0xFE,0xFD,0xFD,0xFD,0xFD,0x12,0x34,0x56,0x78}

## Macro Definition Documentation

#define CAT_AUDIT_PRINTF | ( |  | ... | ) |

Definition at line 71 of file RakPeer.cpp.

Referenced by SLNet::RakPeer::CancelConnectionAttempt(), SLNet::RakPeer::ClearRequestedConnectionList(), SLNet::RakPeer::DisableSecurity(), SLNet::RakPeer::InitializeSecurity(), SLNet::RakPeer::ParseConnectionRequestPacket(), SLNet::ProcessOfflineNetworkPacket(), SLNet::RakPeer::RakPeer(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendConnectionRequest(), and SLNet::RakPeer::~RakPeer().

#define CAT_NEUTER_EXPORT /* Neuter dllimport for libcat */

Definition at line 21 of file RakPeer.cpp.

#define REMOTE_SYSTEM_LOOKUP_HASH_MULTIPLE 8

Definition at line 80 of file RakPeer.cpp.

Referenced by SLNet::RakPeer::RemoteSystemLookupHashIndex(), and SLNet::RakPeer::Startup().

## Function Documentation

RAK_THREAD_DECLARATION | ( | SLNet::UpdateNetworkLoop |  | ) |

Definition at line 6275 of file RakPeer.cpp.

References SLNet::RakPeer::endThreads, SLNet::RakPeer::isMainLoopThreadActive, LIBCAT_SECURITY, MAXIMUM_MTU_SIZE, SLNet::RakPeer::quitAndDataEvents, SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::userUpdateThreadData, SLNet::RakPeer::userUpdateThreadPtr, and SLNet::SignaledEvent::WaitOnEvent().

## Variable Documentation

const unsigned int MAX_OFFLINE_DATA_LENGTH =400

static

Definition at line 130 of file RakPeer.cpp.

Referenced by SLNet::ProcessOfflineNetworkPacket(), and SLNet::RakPeer::SendOutOfBand().

const int mtuSizes[NUM_MTU_SIZES] ={MAXIMUM_MTU_SIZE, 1200, 576}

static

Definition at line 111 of file RakPeer.cpp.

Referenced by SLNet::RakPeer::RakPeer(), and SLNet::RakPeer::RunUpdateCycle().

const int NUM_MTU_SIZES =3

static

Definition at line 107 of file RakPeer.cpp.

Referenced by SLNet::RakPeer::RakPeer(), and SLNet::RakPeer::RunUpdateCycle().

const unsigned char OFFLINE_MESSAGE_DATA_ID[16] ={0x00,0xFF,0xFF,0x00,0xFE,0xFE,0xFE,0xFE,0xFD,0xFD,0xFD,0xFD,0x12,0x34,0x56,0x78}

static

Definition at line 135 of file RakPeer.cpp.

Referenced by SLNet::RakPeer::Ping(), SLNet::ProcessOfflineNetworkPacket(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendOutOfBand(), and SLNet::RakPeer::WriteOutOfBandHeader().

RakNetRandom rnr

static

Definition at line 120 of file RakPeer.cpp.

Referenced by SLNet::ProcessNetworkPacket(), SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::Startup().